umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_objectwidget.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/umlwidgets/objectwidget.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_ObjectWidget_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_ObjectWidget_t | qt_meta_stringdata_ObjectWidget
static const uint | qt_meta_data_ObjectWidget []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_ObjectWidget_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)

## Variable Documentation

## ◆ qt_meta_data_ObjectWidget

const uint qt_meta_data_ObjectWidget[]
| static

Initial value:
= {
8,
0,
0, 0,
3, 14,
0, 0,
0, 0,
0, 0,
0,
0,
1, 1, 29, 2, 0x0a ,
5, 1, 32, 2, 0x0a ,
8, 0, 35, 2, 0x0a ,
QMetaType::Void, 0x80000000 | 3, 4,
QMetaType::Void, 0x80000000 | 6, 7,
QMetaType::Void,
0
}

## ◆ qt_meta_stringdata_ObjectWidget

const qt_meta_stringdata_ObjectWidget_t qt_meta_stringdata_ObjectWidget
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 12),
QT_MOC_LITERAL(1, 13, 17),
QT_MOC_LITERAL(2, 31, 0),
QT_MOC_LITERAL(3, 32, 8),
QT_MOC_LITERAL(4, 41, 6),
QT_MOC_LITERAL(5, 48, 20),
QT_MOC_LITERAL(6, 69, 13),
QT_MOC_LITERAL(7, 83, 6),
QT_MOC_LITERAL(8, 90, 16)
},
"ObjectWidget\0slotMenuSelection\0\0"
"QAction*\0action\0slotFillColorChanged\0"
"Uml::ID::Type\0viewID\0slotMessageMoved"
}
qt_meta_stringdata_ObjectWidget_t
Definition: moc_objectwidget.cpp:24
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_objectwidget.cpp:28